From fe7d136311b2ff60c8e144f4aed8eff886645e10 Mon Sep 17 00:00:00 2001
From: Bharath Rupireddy <bharath.rupireddy@enterprisedb.com>
Date: Wed, 15 Jul 2020 18:09:12 +0530
Subject: [PATCH v1] Have SIGHUP for config reload in logical replication
 launcher

Currently, SIGTERM is mapped to config reload. Have SIGHUP instead
of SIGTERM, to not miss the updated value for
wal_retrieve_retry_interval in ApplyLauncherMain.
---
 src/backend/replication/logical/launcher.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/replication/logical/launcher.c b/src/backend/replication/logical/launcher.c
index aec885e987..ff985b9b24 100644
--- a/src/backend/replication/logical/launcher.c
+++ b/src/backend/replication/logical/launcher.c
@@ -956,7 +956,7 @@ ApplyLauncherMain(Datum main_arg)
 	LogicalRepCtx->launcher_pid = MyProcPid;
 
 	/* Establish signal handlers. */
-	pqsignal(SIGTERM, SignalHandlerForConfigReload);
+	pqsignal(SIGHUP, SignalHandlerForConfigReload);
 	pqsignal(SIGTERM, die);
 	BackgroundWorkerUnblockSignals();
 
-- 
2.25.1

